Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2050::/12
First address
2050::
Last address
205f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2050:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.0.2.ip6.arpa
Split into smaller subnets/20

2050::/12 makes 256 subnets of /20.

Subnets
#SubnetLast address
12050::/202050:fff:ffff:ffff:ffff:ffff:ffff:ffff
22050:1000::/202050:1fff:ffff:ffff:ffff:ffff:ffff:ffff
32050:2000::/202050:2fff:ffff:ffff:ffff:ffff:ffff:ffff
42050:3000::/202050:3fff:ffff:ffff:ffff:ffff:ffff:ffff
52050:4000::/202050:4fff:ffff:ffff:ffff:ffff:ffff:ffff
62050:5000::/202050:5fff:ffff:ffff:ffff:ffff:ffff:ffff
72050:6000::/202050:6fff:ffff:ffff:ffff:ffff:ffff:ffff
82050:7000::/202050:7fff:ffff:ffff:ffff:ffff:ffff:ffff
92050:8000::/202050:8fff:ffff:ffff:ffff:ffff:ffff:ffff
102050:9000::/202050:9fff:ffff:ffff:ffff:ffff:ffff:ffff
112050:a000::/202050:afff:ffff:ffff:ffff:ffff:ffff:ffff
122050:b000::/202050:bfff:ffff:ffff:ffff:ffff:ffff:ffff
132050:c000::/202050:cfff:ffff:ffff:ffff:ffff:ffff:ffff
142050:d000::/202050:dfff:ffff:ffff:ffff:ffff:ffff:ffff
152050:e000::/202050:efff:ffff:ffff:ffff:ffff:ffff:ffff
162050:f000::/202050:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172051::/202051:fff:ffff:ffff:ffff:ffff:ffff:ffff
182051:1000::/202051:1fff:ffff:ffff:ffff:ffff:ffff:ffff
192051:2000::/202051:2fff:ffff:ffff:ffff:ffff:ffff:ffff
202051:3000::/202051:3fff:ffff:ffff:ffff:ffff:ffff:ffff
212051:4000::/202051:4fff:ffff:ffff:ffff:ffff:ffff:ffff
222051:5000::/202051:5fff:ffff:ffff:ffff:ffff:ffff:ffff
232051:6000::/202051:6fff:ffff:ffff:ffff:ffff:ffff:ffff
242051:7000::/202051:7fff:ffff:ffff:ffff:ffff:ffff:ffff
252051:8000::/202051:8fff:ffff:ffff:ffff:ffff:ffff:ffff
262051:9000::/202051:9fff:ffff:ffff:ffff:ffff:ffff:ffff
272051:a000::/202051:afff:ffff:ffff:ffff:ffff:ffff:ffff
282051:b000::/202051:bfff:ffff:ffff:ffff:ffff:ffff:ffff
292051:c000::/202051:cfff:ffff:ffff:ffff:ffff:ffff:ffff
302051:d000::/202051:dfff:ffff:ffff:ffff:ffff:ffff:ffff
312051:e000::/202051:efff:ffff:ffff:ffff:ffff:ffff:ffff
322051:f000::/202051:ffff:ffff:ffff:ffff:ffff:ffff:ffff
332052::/202052:fff:ffff:ffff:ffff:ffff:ffff:ffff
342052:1000::/202052:1fff:ffff:ffff:ffff:ffff:ffff:ffff
352052:2000::/202052:2fff:ffff:ffff:ffff:ffff:ffff:ffff
362052:3000::/202052:3fff:ffff:ffff:ffff:ffff:ffff:ffff
372052:4000::/202052:4fff:ffff:ffff:ffff:ffff:ffff:ffff
382052:5000::/202052:5fff:ffff:ffff:ffff:ffff:ffff:ffff
392052:6000::/202052:6fff:ffff:ffff:ffff:ffff:ffff:ffff
402052:7000::/202052:7fff:ffff:ffff:ffff:ffff:ffff:ffff
412052:8000::/202052:8fff:ffff:ffff:ffff:ffff:ffff:ffff
422052:9000::/202052:9fff:ffff:ffff:ffff:ffff:ffff:ffff
432052:a000::/202052:afff:ffff:ffff:ffff:ffff:ffff:ffff
442052:b000::/202052:bfff:ffff:ffff:ffff:ffff:ffff:ffff
452052:c000::/202052:cfff:ffff:ffff:ffff:ffff:ffff:ffff
462052:d000::/202052:dfff:ffff:ffff:ffff:ffff:ffff:ffff
472052:e000::/202052:efff:ffff:ffff:ffff:ffff:ffff:ffff
482052:f000::/202052:ffff:ffff:ffff:ffff:ffff:ffff:ffff
492053::/202053:fff:ffff:ffff:ffff:ffff:ffff:ffff
502053:1000::/202053:1fff:ffff:ffff:ffff:ffff:ffff:ffff
512053:2000::/202053:2fff:ffff:ffff:ffff:ffff:ffff:ffff
522053:3000::/202053:3fff:ffff:ffff:ffff:ffff:ffff:ffff
532053:4000::/202053:4fff:ffff:ffff:ffff:ffff:ffff:ffff
542053:5000::/202053:5fff:ffff:ffff:ffff:ffff:ffff:ffff
552053:6000::/202053:6fff:ffff:ffff:ffff:ffff:ffff:ffff
562053:7000::/202053:7fff:ffff:ffff:ffff:ffff:ffff:ffff
572053:8000::/202053:8fff:ffff:ffff:ffff:ffff:ffff:ffff
582053:9000::/202053:9fff:ffff:ffff:ffff:ffff:ffff:ffff
592053:a000::/202053:afff:ffff:ffff:ffff:ffff:ffff:ffff
602053:b000::/202053:bfff:ffff:ffff:ffff:ffff:ffff:ffff
612053:c000::/202053:cfff:ffff:ffff:ffff:ffff:ffff:ffff
622053:d000::/202053:dfff:ffff:ffff:ffff:ffff:ffff:ffff
632053:e000::/202053:efff:ffff:ffff:ffff:ffff:ffff:ffff
642053:f000::/202053:ffff:ffff:ffff:ffff:ffff:ffff:ffff
652054::/202054:fff:ffff:ffff:ffff:ffff:ffff:ffff
662054:1000::/202054:1fff:ffff:ffff:ffff:ffff:ffff:ffff
672054:2000::/202054:2fff:ffff:ffff:ffff:ffff:ffff:ffff
682054:3000::/202054:3fff:ffff:ffff:ffff:ffff:ffff:ffff
692054:4000::/202054:4fff:ffff:ffff:ffff:ffff:ffff:ffff
702054:5000::/202054:5fff:ffff:ffff:ffff:ffff:ffff:ffff
712054:6000::/202054:6fff:ffff:ffff:ffff:ffff:ffff:ffff
722054:7000::/202054:7fff:ffff:ffff:ffff:ffff:ffff:ffff
732054:8000::/202054:8fff:ffff:ffff:ffff:ffff:ffff:ffff
742054:9000::/202054:9fff:ffff:ffff:ffff:ffff:ffff:ffff
752054:a000::/202054:afff:ffff:ffff:ffff:ffff:ffff:ffff
762054:b000::/202054:bfff:ffff:ffff:ffff:ffff:ffff:ffff
772054:c000::/202054:cfff:ffff:ffff:ffff:ffff:ffff:ffff
782054:d000::/202054:dfff:ffff:ffff:ffff:ffff:ffff:ffff
792054:e000::/202054:efff:ffff:ffff:ffff:ffff:ffff:ffff
802054:f000::/202054:ffff:ffff:ffff:ffff:ffff:ffff:ffff
812055::/202055:fff:ffff:ffff:ffff:ffff:ffff:ffff
822055:1000::/202055:1fff:ffff:ffff:ffff:ffff:ffff:ffff
832055:2000::/202055:2fff:ffff:ffff:ffff:ffff:ffff:ffff
842055:3000::/202055:3fff:ffff:ffff:ffff:ffff:ffff:ffff
852055:4000::/202055:4fff:ffff:ffff:ffff:ffff:ffff:ffff
862055:5000::/202055:5fff:ffff:ffff:ffff:ffff:ffff:ffff
872055:6000::/202055:6fff:ffff:ffff:ffff:ffff:ffff:ffff
882055:7000::/202055:7fff:ffff:ffff:ffff:ffff:ffff:ffff
892055:8000::/202055:8fff:ffff:ffff:ffff:ffff:ffff:ffff
902055:9000::/202055:9fff:ffff:ffff:ffff:ffff:ffff:ffff
912055:a000::/202055:afff:ffff:ffff:ffff:ffff:ffff:ffff
922055:b000::/202055:bfff:ffff:ffff:ffff:ffff:ffff:ffff
932055:c000::/202055:cfff:ffff:ffff:ffff:ffff:ffff:ffff
942055:d000::/202055:dfff:ffff:ffff:ffff:ffff:ffff:ffff
952055:e000::/202055:efff:ffff:ffff:ffff:ffff:ffff:ffff
962055:f000::/202055:ffff:ffff:ffff:ffff:ffff:ffff:ffff
972056::/202056:fff:ffff:ffff:ffff:ffff:ffff:ffff
982056:1000::/202056:1fff:ffff:ffff:ffff:ffff:ffff:ffff
992056:2000::/202056:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1002056:3000::/202056:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1012056:4000::/202056:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1022056:5000::/202056:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1032056:6000::/202056:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1042056:7000::/202056:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1052056:8000::/202056:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1062056:9000::/202056:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1072056:a000::/202056:afff:ffff:ffff:ffff:ffff:ffff:ffff
1082056:b000::/202056:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1092056:c000::/202056:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1102056:d000::/202056:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1112056:e000::/202056:efff:ffff:ffff:ffff:ffff:ffff:ffff
1122056:f000::/202056:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1132057::/202057:fff:ffff:ffff:ffff:ffff:ffff:ffff
1142057:1000::/202057:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1152057:2000::/202057:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1162057:3000::/202057:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1172057:4000::/202057:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1182057:5000::/202057:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1192057:6000::/202057:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1202057:7000::/202057:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1212057:8000::/202057:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1222057:9000::/202057:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1232057:a000::/202057:afff:ffff:ffff:ffff:ffff:ffff:ffff
1242057:b000::/202057:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1252057:c000::/202057:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1262057:d000::/202057:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1272057:e000::/202057:efff:ffff:ffff:ffff:ffff:ffff:ffff
1282057:f000::/202057:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1292058::/202058:fff:ffff:ffff:ffff:ffff:ffff:ffff
1302058:1000::/202058:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1312058:2000::/202058:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1322058:3000::/202058:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1332058:4000::/202058:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1342058:5000::/202058:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1352058:6000::/202058:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1362058:7000::/202058:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1372058:8000::/202058:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1382058:9000::/202058:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1392058:a000::/202058:afff:ffff:ffff:ffff:ffff:ffff:ffff
1402058:b000::/202058:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1412058:c000::/202058:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1422058:d000::/202058:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1432058:e000::/202058:efff:ffff:ffff:ffff:ffff:ffff:ffff
1442058:f000::/202058:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1452059::/202059:fff:ffff:ffff:ffff:ffff:ffff:ffff
1462059:1000::/202059:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1472059:2000::/202059:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1482059:3000::/202059:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1492059:4000::/202059:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1502059:5000::/202059:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1512059:6000::/202059:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1522059:7000::/202059:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1532059:8000::/202059:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1542059:9000::/202059:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1552059:a000::/202059:afff:ffff:ffff:ffff:ffff:ffff:ffff
1562059:b000::/202059:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1572059:c000::/202059:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1582059:d000::/202059:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1592059:e000::/202059:efff:ffff:ffff:ffff:ffff:ffff:ffff
1602059:f000::/202059:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161205a::/20205a:fff:ffff:ffff:ffff:ffff:ffff:ffff
162205a:1000::/20205a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
163205a:2000::/20205a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
164205a:3000::/20205a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
165205a:4000::/20205a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
166205a:5000::/20205a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
167205a:6000::/20205a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
168205a:7000::/20205a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
169205a:8000::/20205a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
170205a:9000::/20205a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
171205a:a000::/20205a:afff:ffff:ffff:ffff:ffff:ffff:ffff
172205a:b000::/20205a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
173205a:c000::/20205a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
174205a:d000::/20205a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
175205a:e000::/20205a:efff:ffff:ffff:ffff:ffff:ffff:ffff
176205a:f000::/20205a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177205b::/20205b:fff:ffff:ffff:ffff:ffff:ffff:ffff
178205b:1000::/20205b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
179205b:2000::/20205b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
180205b:3000::/20205b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
181205b:4000::/20205b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
182205b:5000::/20205b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
183205b:6000::/20205b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
184205b:7000::/20205b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
185205b:8000::/20205b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
186205b:9000::/20205b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
187205b:a000::/20205b:afff:ffff:ffff:ffff:ffff:ffff:ffff
188205b:b000::/20205b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
189205b:c000::/20205b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
190205b:d000::/20205b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
191205b:e000::/20205b:efff:ffff:ffff:ffff:ffff:ffff:ffff
192205b:f000::/20205b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193205c::/20205c:fff:ffff:ffff:ffff:ffff:ffff:ffff
194205c:1000::/20205c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
195205c:2000::/20205c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
196205c:3000::/20205c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
197205c:4000::/20205c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
198205c:5000::/20205c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
199205c:6000::/20205c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
200205c:7000::/20205c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
201205c:8000::/20205c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
202205c:9000::/20205c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
203205c:a000::/20205c:afff:ffff:ffff:ffff:ffff:ffff:ffff
204205c:b000::/20205c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
205205c:c000::/20205c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
206205c:d000::/20205c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
207205c:e000::/20205c:efff:ffff:ffff:ffff:ffff:ffff:ffff
208205c:f000::/20205c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209205d::/20205d:fff:ffff:ffff:ffff:ffff:ffff:ffff
210205d:1000::/20205d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
211205d:2000::/20205d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
212205d:3000::/20205d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213205d:4000::/20205d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
214205d:5000::/20205d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
215205d:6000::/20205d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
216205d:7000::/20205d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
217205d:8000::/20205d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
218205d:9000::/20205d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
219205d:a000::/20205d:afff:ffff:ffff:ffff:ffff:ffff:ffff
220205d:b000::/20205d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
221205d:c000::/20205d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
222205d:d000::/20205d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
223205d:e000::/20205d:efff:ffff:ffff:ffff:ffff:ffff:ffff
224205d:f000::/20205d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225205e::/20205e:fff:ffff:ffff:ffff:ffff:ffff:ffff
226205e:1000::/20205e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
227205e:2000::/20205e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
228205e:3000::/20205e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
229205e:4000::/20205e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
230205e:5000::/20205e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
231205e:6000::/20205e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
232205e:7000::/20205e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
233205e:8000::/20205e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
234205e:9000::/20205e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
235205e:a000::/20205e:afff:ffff:ffff:ffff:ffff:ffff:ffff
236205e:b000::/20205e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
237205e:c000::/20205e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
238205e:d000::/20205e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
239205e:e000::/20205e:efff:ffff:ffff:ffff:ffff:ffff:ffff
240205e:f000::/20205e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241205f::/20205f:fff:ffff:ffff:ffff:ffff:ffff:ffff
242205f:1000::/20205f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
243205f:2000::/20205f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
244205f:3000::/20205f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
245205f:4000::/20205f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
246205f:5000::/20205f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
247205f:6000::/20205f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
248205f:7000::/20205f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
249205f:8000::/20205f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
250205f:9000::/20205f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
251205f:a000::/20205f:afff:ffff:ffff:ffff:ffff:ffff:ffff
252205f:b000::/20205f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
253205f:c000::/20205f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
254205f:d000::/20205f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
255205f:e000::/20205f:efff:ffff:ffff:ffff:ffff:ffff:ffff
256205f:f000::/20205f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses